#include <QtGui>
#include "tthread.h"
#include <QtNetwork/QNetworkAccessManager>
#include "tnotify.h"

#ifndef PARSER_H
#define PARSER_H

#include <QWidget>

class parser : public QWidget
{
    Q_OBJECT
public:
    explicit parser(QWidget *parent = 0);
    static QString getTitleFromReply(QString data);
    static QString toUnicode (QString str);
    static QString getMessageFromReply(QString data);

private:
    QLineEdit* url;
    QPushButton* addButton;
    QPushButton* deleteButton;
    QPushButton* startButton;
    QPushButton* ondemandButton;
    QPushButton* stopButton;
    QPushButton* testButton;
    QTreeWidget* listView;
    QGridLayout* grid;
    QList<TThread*> urlList;
    QNetworkAccessManager* nm;

signals:
    void requestListUpdate(void);
    void requestReplyToThread(TThread* mahThread, QNetworkReply* reply);


public slots:
    void addURL(void);
    void deleteURL(void);

private slots:
    void replyRecieved(QNetworkReply* reply);
    void replyToThread(TThread* mahThread, QNetworkReply* reply);
    void start(void);
    void stop(void);
    void handler(QNetworkReply* reply);
    void listUpdate(void);
    void test(void);
};

#endif // PARSER_H
